%define languageenglazy Armenian
%define languagecode    hy
%define lc_ctype        hy_AM

Name:           hunspell-%{languagecode}
Version:        0.20.0
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://sourceforge.net/projects/armspell
Source0:        http://downloads.sourceforge.net/armspell/myspell-hy-%{version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hy
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n myspell-hy-%{version}

%build

%install
install -D -m 0644 -p hy_AM.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p hy_AM.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc Copyright ChangeLog COPYING
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.20.0-13.mga8
+ Revision: 1490906
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20.0-12.mga7
+ Revision: 1262541
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-11.mga6
+ Revision: 937952
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-10.mga5
+ Revision: 743871
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-9.mga5
+ Revision: 680254
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-8.mga4
+ Revision: 505631
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20.0-7.mga3
+ Revision: 353502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20.0-6.mga3
+ Revision: 325403
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20.0-5.mga2
+ Revision: 224694
- add requirement on locales (mga#4632)
- use better obsoleting of myspell

* Mon Jan 23 2012 kamil <kamil> 0.20.0-3.mga2
+ Revision: 200239
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20.0-2.mga1
+ Revision: 68849
- imported package hunspell-hy


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu May 06 2010 Caolán McNamara <caolanm@redhat.com> - 0.20.0-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 30 2008 Caolan McNamara <caolanm@redhat.com> - 0.10.1-1
- initial version
